# Export tool definitions (/docs/api/catalog/tools_export)

Endpoint and capability tools in OpenAI, Anthropic or MCP format.

`GET /v1/tools`

```json
{
  "operationId": "tools_export",
  "summary": "Export tool definitions",
  "description": "Endpoint and capability tools in OpenAI, Anthropic or MCP format.",
  "tags": [
    "tools"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "enum": [
          "openai",
          "anthropic",
          "mcp"
        ],
        "default": "openai"
      },
      "required": false,
      "name": "format",
      "in": "query"
    },
    {
      "schema": {
        "type": "string",
        "pattern": "^[a-z]+(\\.[a-z0-9_]+)+$"
      },
      "required": false,
      "name": "capability",
      "in": "query"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "format": {
                "type": "string",
                "enum": [
                  "openai",
                  "anthropic",
                  "mcp"
                ]
              },
              "tools": {
                "type": "array",
                "items": {
                  "type": "object",
                  "additionalProperties": {}
                }
              }
            },
            "required": [
              "format",
              "tools"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
